unit UMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, UPdfCmp, UPdfDefinition, ExtCtrls;

type
  TfrmMain = class(TForm)
    PdfCmp1: TPdfCmp;
    OpenDialog1: TOpenDialog;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    Button3: TButton;
    Button4: TButton;
    edHeading: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    RadioGroup1: TRadioGroup;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.Button1Click(Sender: TObject);
begin
if OpenDialog1.Execute then
  begin
  PdfCmp1.PdfFileName := OpenDialog1.FileName;

  PdfCmp1.SetMargins(20,20,20,20);
  PdfCmp1.PageAppend;

  Button3.Enabled := True;
  Button4.Enabled := True;
  Button5.Enabled := True;
  end;

end;

procedure TfrmMain.Button2Click(Sender: TObject);
begin
Close;
end;

procedure TfrmMain.Button3Click(Sender: TObject);
begin
if PdfCmp1.PdfFileName > '' then
  PdfCmp1.PdfSave;
end;

procedure TfrmMain.Button4Click(Sender: TObject);
begin

case RadioGroup1.ItemIndex of
  0: PdfCmp1.PdfWriteParDef.TextAlign := taPdfLeft;
  1: PdfCmp1.PdfWriteParDef.TextAlign := taPdfRight;
  2: PdfCmp1.PdfWriteParDef.TextAlign := taPdfCenter;
  3: PdfCmp1.PdfWriteParDef.TextAlign := taPdfJustify;
  end;

PdfCmp1.WriteParagraph(edHeading.Text, Memo1.Lines.Text);
end;

procedure TfrmMain.Button5Click(Sender: TObject);
begin
PdfCmp1.DrawLineHor(20,Trunc(PdfCmp1.ActualY),100,1);
end;

end.
